Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.redis.connection
Enum DataType

    java.lang.Object
      java.lang.Enum<DataType>
          org.springframework.data.redis.connection.DataType

All Implemented Interfaces:
  Serializable, Comparable<DataType>

    public enum DataType

extends Enum<DataType>

Enumeration of the Redis data types.

Enum Constant Summary
`HASH`
`LIST`
`NONE`
`SET`
`STRING`
`ZSET`

Method Summary
`String` | `code()` Returns the code associated with the current enum.
`static DataType` | `fromCode(String code)` Utility method for converting an enum code to an actual enum.
`static DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final DataType NONE

### STRING

    public static final DataType STRING

### LIST

    public static final DataType LIST

### SET

    public static final DataType SET

### ZSET

    public static final DataType ZSET

### HASH

    public static final DataType HASH

Method Detail

### values

    public static DataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataType c : DataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### code

    public String code()

  Returns the code associated with the current enum.

  Returns:
    code of this enum

### fromCode

    public static DataType fromCode(String code)

  Utility method for converting an enum code to an actual enum.

  Parameters:
    `code` - enum code
  Returns:
    actual enum corresponding to the given code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD